%global momorel 1

%global nspr_version 4.7
%global nss_version 3.12
%global cairo_version 1.8
%global langpacks_date 20090624

Summary:    Mozilla Thunderbird mail/newsgroup client
Name:       thunderbird
Version:    2.0.0.22
Release:    %{momorel}m%{?dist}
URL:        http://www.mozilla.org/projects/thunderbird/
License:    MPL
Group:      Applications/Internet
Source0:    ftp://ftp.mozilla.org/pub/thunderbird/releases/%{version}/source/thunderbird-%{version}-source.tar.bz2 
NoSource: 0
Source1:        thunderbird-langpacks-%{version}-%{langpacks_date}.tar.bz2
Source10:       thunderbird-mozconfig
Source12:       thunderbird-momonga-default-prefs.js
Source20:       thunderbird.desktop
Source21:       thunderbird.sh.in
Source22:       thunderbird.png
Source30:       thunderbird-open-browser.sh
Source100:      find-external-requires

# Build patches
Patch1:         firefox-2.0-link-layout.patch
Patch2:         firefox-1.0-prdtoa.patch
Patch4:         firefox-1.5.0.10-with-system-nss.patch
Patch5:         thunderbird-1.5-visibility.patch
Patch6:         firefox-1.5.0.10-nss-system-nspr.patch

Patch10:        thunderbird-0.7.3-psfonts.patch
Patch11:        thunderbird-0.7.3-gnome-uriloader.patch

# customization patches
Patch24:        thunderbird-2.0-default-applications.patch
Patch25:        thunderbird-1.1-software-update.patch

# local bugfixes
Patch40:        firefox-1.5-bullet-bill.patch
Patch41:        firefox-2.0.0.4-undo-uriloader.patch
Patch42:        firefox-1.1-uriloader.patch
Patch43:	thunderbird-1.5.0.9-bug367203.patch
Patch44:	thunderbird-scim_crash.patch

# font system fixes
#Patch81:        firefox-1.5-nopangoxft.patch
Patch82:        firefox-1.5-pango-mathml.patch
Patch83:        firefox-1.5-pango-cursor-position.patch
Patch84:        firefox-2.0-pango-printing.patch
Patch85:        firefox-1.5-pango-cursor-position-more.patch
Patch86:        firefox-1.5-pango-justified-range.patch
Patch87:        firefox-1.5-pango-underline.patch
Patch88:        firefox-1.5-xft-rangewidth.patch

# Other 
Patch102:       firefox-1.5-theme-change.patch
Patch103:       thunderbird-1.5-profile-migrator.patch
Patch104:       firefox-1.5-dnd-nograb.patch
Patch1001: mozilla-gcc44.patch

# patches from upstream (Patch100+)

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:       nspr >= %{nspr_version}
Requires:       nss >= %{nss_version}
BuildRequires:  cairo-devel >= %{cairo_version}
BuildRequires:  libpng-devel, libjpeg-devel, gtk+-devel
BuildRequires:  zlib-devel, gzip, zip, unzip
BuildRequires:  libICE-devel, libSM-devel, libX11-devel, libXcursor-devel
BuildRequires:  libXext-devel, libXfixes-devel, libXft-devel, libXi-devel
BuildRequires:  libXinerama-devel, libXrandr-devel, libXrender-devel, 
BuildRequires:  libXt-devel
BuildRequires:	tcsh
BuildRequires:  libIDL-devel
BuildRequires:  desktop-file-utils
BuildRequires:  tcsh
BuildRequires:  freetype-devel
Prereq: desktop-file-utils

%define tbdir %{_libdir}/thunderbird-%{version}

AutoProv: 0
%define _use_internal_dependency_generator 0
%define __find_requires %{SOURCE100}

%description
Mozilla Thunderbird is a standalone mail and newsgroup client.

#===============================================================================

%prep
%setup -q -n mozilla
%patch1 -p1 -b .link-layout
%patch2 -p0
#%patch4 -p1
#%patch5 -p1 -b .visibility

%patch10 -p1 -b .psfonts
%patch11 -p1 -b .gnome-uriloader
%patch24 -p1 -b .default-applications
#%patch25 -p0 -b .software-update
%patch40 -p1
%patch41 -p1
%patch42 -p0
#%patch43 -p1
#%patch44 -p1

# font system fixes
#%patch81 -p1 -b .nopangoxft
#%patch82 -p1 -b .pango-mathml
%patch83 -p1 -b .pango-cursor-position
%patch84 -p0 -b .pango-printing
%patch85 -p1 -b .pango-cursor-position-more
%patch86 -p1 -b .pango-justified-range
%patch87 -p1 -b .pango-underline
%patch88 -p1 -b .nopangoxft2
pushd gfx/src/ps
  # This sort of sucks, but it works for now.
  ln -s ../gtk/nsFontMetricsPango.h .
  ln -s ../gtk/nsFontMetricsPango.cpp .
  ln -s ../gtk/mozilla-decoder.h .
  ln -s ../gtk/mozilla-decoder.cpp .
popd


%patch102 -p0 -b .theme-change
%patch103 -p1 -b .profile-migrator
#%patch104 -p1 -b .dnd-nograb

#%patch1000 -p1 -b .gcc43~
%patch1001 -p1 -b .gcc44~

%{__rm} -f .mozconfig
%{__cp} %{SOURCE10} .mozconfig

#===============================================================================

%build
%ifarch ppc64
%global optflags %(echo %{optflags} -mminimal-toc)
%endif
export RPM_OPT_FLAGS=$(echo $RPM_OPT_FLAGS | sed -e 's/-O2/-Os/' -e 's/-fomit-frame-pointer//' -e 's/-ffast-math//')
export CFLAGS="$RPM_OPT_FLAGS"
export CXXFLAGS="$CFLAGS"
export PREFIX='%{_prefix}'
export LIBDIR='%{_libdir}'

%ifarch ppc ppc64 s390 s390x
%define moz_make_flags -j1
%else
%define moz_make_flags %{?_smp_mflags}
%endif

export LDFLAGS="-Wl,-rpath,%{tbdir}"
export MAKE="gmake %{moz_make_flags}"
make -f client.mk build

#===============================================================================

%install
%{__rm} -rf --preserve-root %{buildroot}

DESTDIR=%{buildroot} %{__make} install

%{__mkdir_p} %{buildroot}{%{_libdir},%{_bindir},%{_datadir}/applications}

%{__install} -p -D %{SOURCE22} %{buildroot}%{_datadir}/pixmaps/%{name}.png

desktop-file-install --vendor mozilla \
	--dir %{buildroot}%{_datadir}/applications \
	--add-category Email \
	--add-category Network \
	%{SOURCE20}

# set up the thunderbird start script
%{__cat} %{SOURCE21} | %{__sed} -e 's,TBIRD_VERSION,%{version},g' > \
  %{buildroot}%{_bindir}/thunderbird
%{__chmod} 755 %{buildroot}/%{_bindir}/thunderbird

install -m755 %{SOURCE30} %{buildroot}%{tbdir}/open-browser.sh
perl -pi -e 's|LIBDIR|%{_libdir}|g' %{buildroot}%{tbdir}/open-browser.sh

%{__cat} %{SOURCE12} | %{__sed} -e 's,THUNDERBIRD_RPM_VR,%{version}-%{release},g' \
                                -e 's,COMMAND,%{tbdir}/open-browser.sh,g' > \
        %{buildroot}/mo-default-prefs
%{__cp} %{buildroot}/mo-default-prefs %{buildroot}/%{tbdir}/greprefs/all-momonga.js
%{__cp} %{buildroot}/mo-default-prefs %{buildroot}/%{tbdir}/defaults/pref/all-momonga.js
%{__rm} %{buildroot}/mo-default-prefs

# own mozilla plugin dir (#135050)
%{__mkdir_p} %{buildroot}%{_libdir}/mozilla/plugins

# Install langpacks
%{__mkdir_p} %{buildroot}%{tbdir}/extensions
%{__tar} xjf %{SOURCE1}
for langpack in `ls thunderbird-langpacks/*.xpi`; do
  language=`basename $langpack .xpi`
  extensiondir=%{buildroot}%{tbdir}/extensions/langpack-$language@thunderbird.mozilla.org
  %{__mkdir_p} $extensiondir
  unzip $langpack -d $extensiondir
  find $extensiondir -type f | xargs chmod 644

  langtmp=%{buildroot}/langpacks/langpack-$language
  %{__mkdir_p} $langtmp
  jarfile=$extensiondir/chrome/$language.jar
  unzip $jarfile -d $langtmp
  find $langtmp -type f | xargs chmod 644
  %{__rm} -rf $jarfile
  cd $langtmp
  zip -r -D $jarfile locale
  %{__rm} -rf locale
  cd -
done
%{__rm} -rf thunderbird-langpacks

%{__rm} -f %{buildroot}%{_bindir}/thunderbird-config

cd %{buildroot}%{tbdir}/chrome
find . -name "*" -type d -maxdepth 1 -exec %{__rm} -rf {} \;
cd -
%{__mkdir_p} %{buildroot}%{tbdir}/chrome/icons/default/
%{__cp} other-licenses/branding/%{name}/default.xpm \
        %{buildroot}%{tbdir}/chrome/icons/default/
%{__cp} other-licenses/branding/%{name}/default.xpm \
        %{buildroot}%{tbdir}/icons/

#===============================================================================

%clean
%{__rm} -rf --preserve-root %{buildroot}

%post
update-desktop-database %{_datadir}/applications

%postun
update-desktop-database %{_datadir}/applications

#===============================================================================

%files
%defattr(-,root,root,-)
%attr(755,root,root) %{_bindir}/thunderbird
%attr(644,root,root) %{_datadir}/applications/*.desktop
%attr(644,root,root) %{_datadir}/pixmaps/thunderbird.png
%{tbdir}

%exclude %{_includedir}/%{name}-%{version}
%exclude %{_datadir}/idl/%{name}-%{version}
%exclude %{_libdir}/pkgconfig/*.pc
%exclude %{tbdir}/TestGtkEmbed
%exclude %{tbdir}/xpidl
%exclude %{tbdir}/xpcshell
%exclude %{tbdir}/xpt_dump
%exclude %{tbdir}/xpt_link
%exclude %{tbdir}/xpicleanup

#===============================================================================

%changelog
* Wed Jun 24 2009 Masanobu Sato <satoshiga@momonga-linux.org> 
- (2.0.0.22-1m)
- update to 2.0.0.22
- [SECURITY] MFSA 2009-14, 16, 17, 18, 19, 24, 27, 29, 31, 32, 33

* Thu Mar 19 2009 Masanobu Sato <satoshiga@momonga-linux.org> 
- (2.0.0.21-1m)
- update to 2.0.0.21
- [SECURITY] MFSA 2009-07, 09, 10

* Sat Feb 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.0.0.19-4m)
- apply gcc44 patch

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.0.0.19-3m)
- rebuild against rpm-4.6

* Fri Jan  9 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.0.0.19-2m)
- update Patch102 for fuzz=0

* Wed Dec 31 2008 Masanobu Sato <satoshiga@momonga-linux.org>
- (2.0.0.19-1m)
- update to 2.0.0.19
- [SECURITY] MFSA 2008-60, 61, 64, 65, 66, 67, 68

* Fri Nov 21 2008 Masanobu Sato <satoshiga@momonga-linux.org>
- (2.0.0.18-1m)
- update to 2.0.0.18
- [SECURITY] MFSA 2008-59, 58 ,56, 55, 52, 50, 48

* Fri Sep 26 2008 Masanobu Sato <satoshiga@momonga-linux.org>
- (2.0.0.17-1m)
- update to 2.0.0.17
- [SECURITY] MFSA 2008-46, 44, 43, 42, 41, 38, 37

* Thu Jul 24 2008 Masanobu Sato <satoshiga@momonga-linux.org>
- (2.0.0.16-1m)
- update to 2.0.0.16
- [SECURITY] MFSA 2008-34, 33, 31, 29, 26, 25, 24, 21

* Sun Jun  1 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.0.0.14-2m)
- add Prereq: desktop-file-utils

* Sat May  3 2008 Masanobu Sato <satoshiga@momonga-linux.org>
- (2.0.0.14-1m)
- update to 2.0.0.14
- [SECURITY] MFSA 2008-14, MSFA 2008-15 

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.0.0.12-2m)
- rebuild against gcc43

* Thu Feb 28 2008 Masanobu Sato <satoshiga@momonga-linux.org>
- (2.0.0.12-1m)
- update to 2.0.0.12 and import some patches from FC
- [SECURITY] MFSA 2008-12,MFSA 2008-07,MFSA 2008-05,MFSA 2008-03,MFSA 2008-01

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (2.0.0.9-3m)
- %%NoSource -> NoSource

* Sun Jan  6 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- add patch for gcc43

* Fri Nov 16 2007 Masanobu Sato <satoshiga@momonga-linux.org>
- (2.0.0.9-1m)
- [SECURITY] CVE-2007-5339 CVE-2007-5340 (MFSA2007-29)
- [SECURITY] CVE-2007-4841 (MFSA2007-36)
- update to 2.0.0.9

* Fri Aug  3 2007 Masanobu Sato <satoshiga@momonga-linux.org>
- (2.0.0.6-1m)
- update to 2.0.0.6
- [SECURITY] MFSA 2007-26 MFSA 2007-27

* Sun Jul 22 2007 Masanobu Sato <satoshiga@momonga-linux.org>
- (2.0.0.5-1m)
- update to 2.0.0.5

* Fri May 11 2007 Masanobu Sato <satoshiga@momonga-linux.org>
- (2.0.0.4-1m)
- update to 2.0.0.4

* Fri May 11 2007 Masanobu Sato <satoshiga@momonga-linux.org>
- (2.0.0.0-1m)
- update to 2.0.0.0, sync with FC

* Sat Mar 31 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.5.0.9-3m)
- BuildRequires: freetype2-devel -> freetype-devel

* Mon Jan 22 2007 Masanobu Sato <satoshiga@momonga-linux.org>
- (1.5.0.9-2m)
- add thunderbird-1.5.0.9-bug367203.patch for drag and drop broken at gtk+-2.10.8
- see https://bugzilla.mozilla.org/show_bug.cgi?id=367203
- add thunderbird-scim_crach.patch for crashing with SCIM input
- see https://bugzilla.novell.com/show_bug.cgi?id=216139

* Thu Dec 21 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.5.0.9-1m)
- update to 1.5.0.9
-[SECURITY] MFSA 2006-74 MFSA 2006-73 MFSA 2006-72 MFSA 2006-71 MFSA 2006-70
            MFSA 2006-69 MFSA 2006-68

* Thu Nov  9 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.5.0.8-1m)
-[SECURITY] MFSA 2006-67 MFSA 2006-66 MFSA 2006-65

* Sat Sep 16 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.5.0.7-1m)
-[SECURITY] MFSA 2006-64 MFSA 2006-63 MFSA 2006-60 MFSA 2006-59 MFSA 2006-58 
            MFSA 2006-57 
- http://www.mozilla.org/projects/security/known-vulnerabilities.html#thunderbird1.5.0.7
- remove Patch90:thunderbird-mime_extern.patch

* Sun Jul 30 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.5.0.5-1m)
- [SECURITY] MFSA-2006-55 MFSA-2006-54 MFSA-2006-53 MFSA-2006-52 MFSA-2006-51
-            MFSA-2006-50 MFSA-2006-49 MFSA-2006-48 MFSA-2006-47 MFSA-2006-46
-            MFSA-2006-44
- http://www.mozilla.org/projects/security/known-vulnerabilities.html#thunderbird1.5.0.5

* Sat Jun 24 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (1.5.0.4-2m)
- add extern patch. need new gcc.

* Sun Jun 18 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.5.0.4-1m)
- [SECURITY] MFSA-2006-42 MFSA-2006-40 MFSA-2006-38 MFSA-2006-37 MFSA-2006-35
-            MFSA-2006-33 MFSA-2006-32 MFSA-2006-31
- http://www.mozilla.org/projects/security/known-vulnerabilities.html#thunderbird1.5.0.4

* Sat Apr 22 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.5.0.2-2m)
- add Source1: thunderbird-langpacks-1.5.0.2-20060419.tar.bz2

* Fri Apr 21 2006 Kazuhiko <kazuhiko@fdiary.net>
- (1.5.0.2-1m)
- [SECURITY] MFSA-2006-28 MFSA-2006-26 MFSA-2006-25 MFSA-2006-24 
-            MFSA-2006-22 MFSA-2006-20
- http://www.mozilla.org/projects/security/known-vulnerabilities.html#Thunderbird
- remove 'firefox-1.5.0.1-dumpstack.patch'
- remove 'firefox-bug305970.patch'

* Wed Mar 29 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.5-1m)
- update to 1.5
- sync with Fedora Core (1.5-6), now it can switch UI locale depending on system locale.
- - * Mon Mar 13 2006 Christopher Aillon <caillon@redhat.com> - 1.5.6
- - - Temporarily disable other arches that we don't ship FC5 with, for time
- - 
- - * Mon Mar 13 2006 Christopher Aillon <caillon@redhat.com> - 1.5-5
- - - Add a notice to the mail start page denoting this is a pango enabled build.
- - 
- - * Fri Feb 10 2006 Christopher Aillon <caillon@redhat.com> - 1.5-3
- - - Add dumpstack.patch
- - - Improve the langpack install stuff
- - 
- - * Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 1.5-2.1
- - - rebuilt for new gcc4.1 snapshot and glibc changes
- - 
- - * Fri Jan 27 2006 Christopher Aillon <caillon@redhat.com> - 1.5-2
- - - Add some langpacks back in
- - - Stop providing MozillaThunderbird
- - 
- - * Thu Jan 12 2006 Christopher Aillon <caillon@redhat.com> - 1.5-1
- - - Official 1.5 release is out
- - 
- - * Wed Jan 11 2006 Christopher Aillon <caillon@redhat.com> - 1.5-0.5.6.rc1
- - - Fix crash when deleting highlighted text while composing mail within
- -   plaintext editor with spellcheck enabled.
- - 
- - * Tue Jan  3 2006 Christopher Aillon <caillon@redhat.com> - 1.5-0.5.5.rc1
- - - Looks like we can build on ppc64 again.
- - 
- - * Fri Dec 16 2005 Christopher Aillon <caillon@redhat.com> - 1.5-0.5.4.rc1
- - - Rebuild
- - 
- - * Fri Dec 16 2005 Christopher Aillon <caillon@redhat.com> - 1.5-0.5.3.rc1
- - - Once again, disable ppc64 because of a new issue.
- -   See https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=175944
- - 
- - - Use the system NSS libraries
- - - Build on ppc64
- - 
- - * Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- - - rebuilt
- - 
- - * Mon Nov 28 2005 Christopher Aillon <caillon@redhat.com> - 1.5-0.5.1.rc1
- - - Fix issue with popup dialogs and other actions causing lockups
- - 
- - * Sat Nov  5 2005 Christopher Aillon <caillon@redhat.com> 1.5-0.5.0.rc1
- - - Update to 1.5 rc1
- - 
- - * Sat Oct  8 2005 Christopher Aillon <caillon@redhat.com> 1.5-0.5.0.beta2
- - - Update to 1.5 beta2
- - 
- - * Wed Sep 28 2005 Christopher Aillon <caillon@redhat.com> 1.5-0.5.0.beta1
- - - Update to 1.5 beta1
- - - Bring the install phase of the spec file up to speed

* Sun Mar 12 2006 Dai OKUYAMA <dai@ouchi.nahi.to>
- (1.0.7-4m)
- enable ppc64 build.
  (but maybe can't work...?)

* Tue Feb 28 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0.7-3m)
- import dumpstack.patch from opensuse
 +* Wed Jan 18 2006 - stark@suse.de
 +- fixed DumpStackToFile() for glibc 2.4

* Tue Nov  1 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (1.0.7-2m)
- add gcc4 patch
- Patch200: firefox-1.0-gcc4-compile.patch

* Fri Sep 30 2005 Kazuhiko <kazuhiko@fdiary.net>
- (1.0.7-1m)
- this version includes several security fixes
- remove too old 'release-notes.html'

* Wed Jul 20 2005 Mitsuru Shimamura <smbd@momonga-linux.org>
- (1.0.6-1m)
- up to 1.0.6

* Fri Jul 15 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.0.5-1m)
- [SECURITY] MFSA 2005-56, MFSA 2005-44, MFSA 2005-41, ...

* Thu Mar 24 2005 Kazuhiko <kazuhiko@fdiary.net>
- (1.0.2-1m)
- security fix
-   http://www.mozilla.org/security/announce/mfsa2005-30.html

* Tue Feb 15 2005 Toru Hoshina <t@momonga-linux.org>
- (1.0-2m)
- rebuild without freetype 1.

* Wed Dec  8 2004 Tsutomu Yasuda <tom@tom.homelinux.org>
- (1.0-1m)
  update to 1.0
  
* Mon Nov 22 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (0.9-2m)
- apply 'thunderbird-0.9-freetype-2.1.9.patch'

* Sat Nov  6 2004 Tsutomu Yasuda <tom@tom.homelinux.org>
- (0.9-1m)
  update to 0.9

* Tue Nov  2 2004 Kazuhiko <kazuhiko@fdiary.net>
- (0.8-3m)
- remove '-fomit-frame-pointer' and '-ffast-math' from RPM_OPT_FLAGS

* Tue Nov 02 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (0.8-2m)
- revised Buildroot:

* Thu Sep 23 2004 Tsutomu Yasuda <tom@tom.homelinux.org>
- (0.8-1m)
  imported from FC development.

* Thu Sep 16 2004 Christopher Aillon <caillon@redhat.com> 0.8.0-1
- Update to 0.8.0
- Remove enigmail
- Update BuildRequires
- Remove gcc34 and extension manager patches -- they are upstreamed.
- Fix for gnome-vfs2 error at component registration

* Fri Sep 03 2004 Christopher Aillon <caillon@redhat.com> 0.7.3-5
- Build with --disable-xprint

* Wed Sep 01 2004 David Hill <djh[at]ii.net> 0.7.3-4
- remove all Xvfb-related hacks

* Wed Sep 01 2004 Warren Togami <wtogami@redhat.com> 
- actually apply psfonts
- add mozilla gnome-uriloader patch to prevent build failure

* Tue Aug 31 2004 Warren Togami <wtogami@redhat.com> 0.7.3-3
- rawhide import
- apply NetBSD's freetype 2.1.8 patch
- apply psfonts patch
- remove BR on /usr/bin/ex, breaks beehive

* Tue Aug 31 2004 David Hill <djh[at]ii.net> 0.7.3-0.fdr.2
- oops, fix %%install

* Thu Aug 26 2004 David Hill <djh[at]ii.net> 0.7.3-0.fdr.1
- update to Thunderbird 0.7.3 and Enigmail 0.85.0
- remove XUL.mfasl on startup, add Debian enigmail patches
- add Xvfb hack for -install-global-extension

* Wed Jul 14 2004 David Hill <djh[at]ii.net> 0.7.2-0.fdr.0
- update to 0.7.2, just because it's there
- update gcc-3.4 patch (Kaj Niemi)
- add EM registration patch and remove instdir hack

* Sun Jul 04 2004 David Hill <djh[at]ii.net> 0.7.1-0.fdr.1
- re-add Enigmime 1.0.7, omit Enigmail until the Mozilla EM problems are fixed

* Wed Jun 30 2004 David Hill <djh[at]ii.net> 0.7.1-0.fdr.0
- update to 0.7.1
- remove Enigmail

* Mon Jun 28 2004 David Hill <djh[at]ii.net> 0.7-0.fdr.1
- re-enable Enigmail 0.84.1
- add gcc-3.4 patch (Kaj Niemi)
- use official branding (with permission)

* Fri Jun 18 2004 David Hill <djh[at]ii.net> 0.7-0.fdr.0
- update to 0.7
- temporarily disable Enigmail 0.84.1, make ftp links work (#1634)
- specify libdir, change BR for apt (V. Skytta, #1617)

* Tue May 18 2004 Warren Togami <wtogami@redhat.com> 0.6-0.fdr.5
- temporary workaround for enigmail skin "modern" bug

* Mon May 10 2004 David Hill <djh[at]ii.net> 0.6-0.fdr.4
- update to Enigmail 0.84.0 
- update launch script

* Mon May 10 2004 David Hill <djh[at]ii.net> 0.6-0.fdr.3
- installation directory now versioned
- allow root to run the program (for installing extensions)
- remove unnecessary %%pre and %%post
- remove separators, update mozconfig and launch script (M. Schwendt, #1460)

* Wed May 05 2004 David Hill <djh[at]ii.net> 0.6-0.fdr.2
- include Enigmail, re-add release notes
- delete %{_libdir}/thunderbird in %%pre

* Mon May 03 2004 David Hill <djh[at]ii.net> 0.6-0.fdr.1
- update to Thunderbird 0.6

* Fri Apr 30 2004 David Hill <djh[at]ii.net> 0.6-0.fdr.0.rc1
- update to Thunderbird 0.6 RC1
- add new icon, remove release notes

* Thu Apr 15 2004 David Hill <djh[at]ii.net> 0.6-0.fdr.0.20040415
- update to latest CVS, update mozconfig and %%build accordingly
- update to Enigmail 0.83.6
- remove x-remote and x86_64 patches
- build with -Os

* Thu Apr 15 2004 David Hill <djh[at]ii.net> 0.5-0.fdr.12
- update x-remote patch
- more startup script fixes

* Tue Apr 06 2004 David Hill <djh[at]ii.net> 0:0.5-0.fdr.11
- startup script fixes, and a minor cleanup

* Sun Apr 04 2004 Warren Togami <wtogami@redhat.com> 0:0.5-0.fdr.10
- Minor cleanups

* Sun Apr 04 2004 David Hill <djh[at]ii.net>	0:0.5-0.fdr.8
- minor improvements to open-browser.sh and startup script
- update to latest version of Blizzard's x-remote patch

* Thu Mar 25 2004 David Hill <djh[at]ii.net>	0:0.5-0.fdr.7
- update open-browser.sh, startup script, and BuildRequires

* Sun Mar 14 2004 David Hill <djh[at]ii.net>	0:0.5-0.fdr.6
- update open-browser script, modify BuildRequires (Warren)
- add Blizzard's x-remote patch
- initial attempt at x-remote-enabled startup script

* Sun Mar 07 2004 David Hill <djh[at]ii.net>	0:0.5-0.fdr.5
- refuse to run with excessive privileges

* Fri Feb 27 2004 David Hill <djh[at]ii.net>	0:0.5-0.fdr.4
- add Mozilla x86_64 patch (Oliver Sontag)
- Enigmail source filenames now include the version
- modify BuildRoot

* Thu Feb 26 2004 David Hill <djh[at]ii.net>	0:0.5-0.fdr.3
- use the updated official tarball

* Wed Feb 18 2004 David Hill <djh[at]ii.net>	0:0.5-0.fdr.2
- fix %%prep script

* Mon Feb 16 2004 David Hill <djh[at]ii.net>	0:0.5-0.fdr.1
- update Enigmail to 0.83.3
- use official source tarball (after removing the CRLFs)
- package renamed to thunderbird

* Mon Feb 09 2004 David Hill <djh[at]ii.net>	0:0.5-0.fdr.0
- update to 0.5
- check for lockfile before launching

* Fri Feb 06 2004 David Hill <djh[at]ii.net>
- update to latest cvs
- update to Enigmail 0.83.2

* Thu Jan 29 2004 David Hill <djh[at]ii.net>	0:0.4-0.fdr.5
- update to Enigmail 0.83.1
- removed Mozilla/Firebird script patching

* Sat Jan 03 2004 David Hill <djh[at]ii.net>	0:0.4-0.fdr.4
- add startup notification to .desktop file

* Thu Dec 25 2003 Warren Togami <warren@togami.com> 0:0.4-0.fdr.3
- open-browser.sh release 3
- patch broken /usr/bin/mozilla script during install
- dir ownership
- XXX: Source fails build on x86_64... fix later

* Tue Dec 23 2003 David Hill <djh[at]ii.net>	0:0.4-0.fdr.2
- update to Enigmail 0.82.5
- add Warren's open-browser.sh (#1113)

* Tue Dec 09 2003 David Hill <djh[at]ii.net>	0:0.4-0.fdr.1
- use Thunderbird's mozilla-xremote-client to launch browser

* Sun Dec 07 2003 David Hill <djh[at]ii.net>	0:0.4-0.fdr.0
- update to 0.4
- make hyperlinks work (with recent versions of Firebird/Mozilla)

* Thu Dec 04 2003 David Hill <djh[at]ii.net>
- update to 0.4rc2

* Wed Dec 03 2003 David Hill <djh[at]ii.net>
- update to 0.4rc1 and Enigmail 0.82.4

* Thu Nov 27 2003 David Hill <djh[at]ii.net>
- update to latest CVS and Enigmail 0.82.3

* Sun Nov 16 2003 David Hill <djh[at]ii.net>
- update to latest CVS (0.4a)
- update Enigmail to 0.82.2
- alter mozconfig for new build requirements
- add missing BuildReq (#987)

* Thu Oct 16 2003 David Hill <djh[at]ii.net>	0:0.3-0.fdr.0
- update to 0.3

* Sun Oct 12 2003 David Hill <djh[at]ii.net>	0:0.3rc3-0.fdr.0
- update to 0.3rc3
- update Enigmail to 0.81.7

* Thu Oct 02 2003 David Hill <djh[at]ii.net>	0:0.3rc2-0.fdr.0
- update to 0.3rc2

* Wed Sep 17 2003 David Hill <djh[at]ii.net>	0:0.2-0.fdr.2
- simplify startup script

* Wed Sep 10 2003 David Hill <djh[at]ii.net>	0:0.2-0.fdr.1
- add GPG support (Enigmail 0.81.6)
- specfile fixes (#679)

* Thu Sep 04 2003 David Hill <djh[at]ii.net>	0:0.2-0.fdr.0
- update to 0.2

* Mon Sep 01 2003 David Hill <djh[at]ii.net>
- initial RPM
  (based on the fedora MozillaFirebird-0.6.1 specfile)

